%bcond_without check
%global debug_package %{nil}

%global goipath         golang.org/x/sync
%global forgeurl        https://github.com/golang/sync
Version:        0.1.0

%gometa

%global common_description %{expand:
This package provides Go concurrency primitives in addition to the ones
provided by the language and "sync" and "sync/atomic" packages.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go concurrency primitives

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-1
- initial build
